Get Order Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use the get order details to retrieve information regarding your order. The shipments attribute contains a list of shipments for the order. If the order was split into multiple shipments, each will have a separate status, tracking number, tracking link and list of items in the shipment.

Example Response

{
  "success": true,
  "order": {
    "orderNumber": "#1001",
    "orderStatus": "on_hold",
    "orderKey": "321456",
    "orderDate": "2023-03-21T12:00:00.000Z",
    "trackingNumber": null,
    "requestedShippingService": "Free Shipping (2-5 Days)",
    "trackingLink": "https://dev-api.atomix.tech/tracking/YzNkOTc1MjAtNjI0ZC00OGY1LWE2YjctY2MxNGQ5MzA0MWFm",
    "carrierCode": "USPS",
    "customerInfo": {
      "name": "Brittany Brand",
      "phone": null,
      "company": "Atomix",
      "country": "US",
      "addressLine1": "123 West Grand Ave",
      "addressLine2": "APT 101",
      "city": "Milwaukee",
      "state": "WI",
      "postalCode": "53233"
    },
    "originalItemList": [
      // Represents the original items in the order
      {
        "sku": "cream-shirt-xl",
        "quantity": 2
      }
    ],
    "orderItems": [
      // Represents all items in the order
      {
        "sku": "cream-shirt-xl",
        "quantity": 2
      }
    ],
    "shipments": [
      // Represents the list of shipments created from the order
      {
        "status": "on_hold",
        "trackingNumber": null,
        "trackingLink": "https://dev-api.atomix.tech/tracking/YzNkOTc1MjAtNjI0ZC00OGY1LWE2YjctY2MxNGQ5MzA0MWFm",
        "carrierCode": "USPS",
        "orderItems": [
          {
            "sku": "cream-shirt-xl",
            "quantity": 2
          }
        ]
      }
    ]
  }
}
Query Params
string
required

The internal Atomix order ID provided in response from post request

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json